import request from '@/utils/request'

// 查询消防栓列表
export function listFirehydrant(query) {
  return request({
    url: '/ehs/firehydrant/list',
    method: 'get',
    params: query
  })
}

// 查询消防栓详细
export function getFirehydrant(id) {
  return request({
    url: '/ehs/firehydrant/' + id,
    method: 'get'
  })
}

// 新增消防栓
export function addFirehydrant(data) {
  return request({
    url: '/ehs/firehydrant',
    method: 'post',
    data: data
  })
}

// 修改消防栓
export function updateFirehydrant(data) {
  return request({
    url: '/ehs/firehydrant',
    method: 'put',
    data: data
  })
}

// 删除消防栓
export function delFirehydrant(id) {
  return request({
    url: '/ehs/firehydrant/' + id,
    method: 'delete'
  })
}

// 导出消防栓
export function exportFirehydrant(query) {
  return request({
    url: '/ehs/firehydrant/export',
    method: 'get',
    params: query
  })
}

// 批量修改消防栓
export function batchEdit(data) {
  return request({
    url: '/ehs/firehydrant/batchEdit',
    method: 'post',
    data: data
  })
}
